ITimeBoundsUserActionsListener (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui.time
Interface ITimeBoundsUserActionsListener

    public interface ITimeBoundsUserActionsListener

Interface that allows TimePanel to reach back into application when user clicks certain buttons.

Method Summary
`void` | `clearFixedRenderRange()` Clear any previously-set fixed render window.
`void` | `invokeDateSelectionGUI(boolean endFocus)` Bring up the GUI that allows time bounds to be set manually.
`void` | `jumpToRealTime()` Immediately switch from historical mode to real-time mode (if necessary) and jump to current real time.
`void` | `setFixedRenderRange(long start, long end)` Set a fixed window over which all events should be rendered.
`void` | `setTimeBounds(long start, long end)` Used with 'set bounds based on selection' button.

Method Detail

### setTimeBounds

    void setTimeBounds(long start,
                       long end)

  Used with 'set bounds based on selection' button.

  Parameters:
    `start` - New start time.
    `end` - New end time.

### jumpToRealTime

    void jumpToRealTime()

  Immediately switch from historical mode to real-time mode (if necessary) and jump to current real time.

### invokeDateSelectionGUI

    void invokeDateSelectionGUI(boolean endFocus)

  Bring up the GUI that allows time bounds to be set manually.

### setFixedRenderRange

    void setFixedRenderRange(long start,
                             long end)

  Set a fixed window over which all events should be rendered.

  Parameters:
    `start` - The window's start time.
    `end` - The window's end tim.

### clearFixedRenderRange

    void clearFixedRenderRange()

  Clear any previously-set fixed render window.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details